LoggingSessionOutputBuffer (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.conn
Class LoggingSessionOutputBuffer

    java.lang.Object
      org.apache.http.impl.conn.LoggingSessionOutputBuffer

All Implemented Interfaces:
  org.apache.http.io.SessionOutputBuffer

Deprecated. (4.3) no longer used.

    @Contract(threading=IMMUTABLE)
    @Deprecated
    public class LoggingSessionOutputBuffer

extends Object
implements org.apache.http.io.SessionOutputBuffer

Logs all data written to the wire LOG.

Since:
  4.0

Constructor Summary
`LoggingSessionOutputBuffer(org.apache.http.io.SessionOutputBuffer out, Wire wire)` Deprecated.
`LoggingSessionOutputBuffer(org.apache.http.io.SessionOutputBuffer out, Wire wire, String charset)` Deprecated. Create an instance that wraps the specified session output buffer.

Method Summary
`void` | `flush()` Deprecated.
`org.apache.http.io.HttpTransportMetrics` | `getMetrics()` Deprecated.
`void` | `write(byte[] b)` Deprecated.
`void` | `write(byte[] b, int off, int len)` Deprecated.
`void` | `write(int b)` Deprecated.
`void` | `writeLine(org.apache.http.util.CharArrayBuffer buffer)` Deprecated.
`void` | `writeLine(String s)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingSessionOutputBuffer

    public LoggingSessionOutputBuffer(org.apache.http.io.SessionOutputBuffer out,
                                      Wire wire,
                                      String charset)

  Deprecated.
  Create an instance that wraps the specified session output buffer.

  Parameters:
    `out` - The session output buffer.
    `wire` - The Wire log to use.
    `charset` - protocol charset, `ASCII` if `null`

### LoggingSessionOutputBuffer

    public LoggingSessionOutputBuffer(org.apache.http.io.SessionOutputBuffer out,
                                      Wire wire)

  Deprecated.

Method Detail

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

  Deprecated.
  Specified by:
    `write` in interface `org.apache.http.io.SessionOutputBuffer`
  Throws:
    `IOException`

### write

    public void write(int b)
               throws IOException

  Deprecated.
  Specified by:
    `write` in interface `org.apache.http.io.SessionOutputBuffer`
  Throws:
    `IOException`

### write

    public void write(byte[] b)
               throws IOException

  Deprecated.
  Specified by:
    `write` in interface `org.apache.http.io.SessionOutputBuffer`
  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Deprecated.
  Specified by:
    `flush` in interface `org.apache.http.io.SessionOutputBuffer`
  Throws:
    `IOException`

### writeLine

    public void writeLine(org.apache.http.util.CharArrayBuffer buffer)
                   throws IOException

  Deprecated.
  Specified by:
    `writeLine` in interface `org.apache.http.io.SessionOutputBuffer`
  Throws:
    `IOException`

### writeLine

    public void writeLine(String s)
                   throws IOException

  Deprecated.
  Specified by:
    `writeLine` in interface `org.apache.http.io.SessionOutputBuffer`
  Throws:
    `IOException`

### getMetrics

    public org.apache.http.io.HttpTransportMetrics getMetrics()

  Deprecated.
  Specified by:
    `getMetrics` in interface `org.apache.http.io.SessionOutputBuffer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.